import log from 'npmlog';
import { execSync } from '../../../child-process.js';
export function hasTags(opts, tagPattern) {
    log.silly('hasTags', '');
    let result = false;
    const args = ['tag'];
    if (tagPattern) {
        log.verbose('hasTags', `filter for tags with '${tagPattern}' pattern`);
        args.push('--list', tagPattern);
    }
    try {
        result = !!execSync('git', args, opts);
    }
    catch (err) {
        log.warn('ENOTAGS', 'No git tags were reachable from this branch!');
        log.verbose('hasTags error', err);
    }
    log.verbose('hasTags', result.toString());
    return result;
}
//# sourceMappingURL=has-tags.js.map