import { PackageGraph } from '../package-graph/package-graph.js';
import { QueryGraphConfig } from '../models/index.js';
import { Package } from '../package.js';
import { PackageGraphNode } from '../package-graph/index.js';
export declare class QueryGraph {
    graph: PackageGraph;
    cycles: Set<any>;
    static toposort(packages: Package[], options?: QueryGraphConfig): Package[];
    constructor(packages: Package[], { graphType, localDependencies, rejectCycles }?: QueryGraphConfig);
    _getNextLeaf(): PackageGraphNode[];
    _getNextCycle(): any;
    getAvailablePackages(): PackageGraphNode[];
    markAsTaken(name: string): void;
    markAsDone(candidateNode: PackageGraphNode): void;
}
