import log from 'npmlog';
import { join } from 'node:path';
import { EOL } from 'node:os';
import writeFileAtomic from 'write-file-atomic';
export function writeLogFile(cwd) {
    let logOutput = '';
    log.record.forEach((m) => {
        let pref = [m.id, m.level];
        if (m.prefix) {
            pref.push(m.prefix);
        }
        pref = pref.join(' ');
        m.message
            .trim()
            .split(/\r?\n/)
            .map((line) => `${pref} ${line}`.trim())
            .forEach((line) => {
            logOutput += line + EOL;
        });
    });
    writeFileAtomic.sync(join(cwd, 'lerna-debug.log'), logOutput);
    log.record.length = 0;
}
//# sourceMappingURL=write-log-file.js.map