import log from 'npmlog';
import npa from 'npm-package-arg';
import { exec } from '@lerna-lite/core';
export function getCurrentTags(execOpts, matchingPattern, dryRun = false) {
    log.silly('getCurrentTags', 'matching %j', matchingPattern);
    const opts = Object.assign({}, execOpts, {
        reject: false,
    });
    return exec('git', ['tag', '--sort', 'version:refname', '--points-at', 'HEAD', '--list', matchingPattern], opts, dryRun).then((result) => {
        const lines = result.stdout.split('\n').filter(Boolean);
        if (matchingPattern === '*@*') {
            return lines.map((tag) => npa(tag).name);
        }
        return lines;
    });
}
//# sourceMappingURL=get-current-tags.js.map