import { basename, dirname, join } from 'node:path';
import log from 'npmlog';
import { exec } from '@lerna-lite/core';
export function getTaggedPackages(packageGraph, rootPath, execOpts, dryRun = false) {
    log.silly('getTaggedPackages', '');
    return exec('git', ['diff-tree', '--name-only', '--no-commit-id', '--root', '-r', '-c', 'HEAD'], execOpts, dryRun).then(({ stdout }) => {
        const manifests = stdout.split('\n').filter((fp) => basename(fp) === 'package.json');
        const locations = new Set(manifests.map((fp) => join(rootPath, dirname(fp))));
        return Array.from(packageGraph.values()).filter((node) => locations.has(node.location));
    });
}
//# sourceMappingURL=get-tagged-packages.js.map