import log from 'npmlog';
import pMap from 'p-map';
import pacote from 'pacote';
export function getUnpublishedPackages(packageGraph, opts) {
    log.silly('getUnpublishedPackages', '');
    let chain = Promise.resolve();
    const graphNodesToCheck = Array.from(packageGraph.values()).filter(({ pkg }) => !pkg.private);
    const mapper = (pkg) => pacote.packument(pkg?.name ?? '', opts).then((packument) => {
        if (packument.versions === undefined || packument.versions[pkg.version] === undefined) {
            return pkg;
        }
    }, () => {
        log.warn('', 'Unable to determine published version, assuming %j unpublished.', pkg.name);
        return pkg;
    });
    chain = chain.then(() => pMap(graphNodesToCheck, mapper, { concurrency: 4 }));
    return chain.then((results) => results.filter(Boolean));
}
//# sourceMappingURL=get-unpublished-packages.js.map