import log from 'npmlog';
import { exec, spawnStreaming } from '@lerna-lite/core';
import { getNpmExecOpts } from './get-npm-exec-opts.js';
export function npmRunScript(script, { args, npmClient, pkg, reject = true }, dryRun = false) {
    log.silly('npmRunScript', script, args, pkg.name);
    const argv = ['run', script, ...args];
    const opts = makeOpts(pkg, reject);
    return exec(npmClient, argv, opts, dryRun);
}
export function npmRunScriptStreaming(script, { args, npmClient, pkg, prefix, reject = true }, dryRun = false) {
    log.silly('npmRunScriptStreaming', JSON.stringify([script, args, pkg.name]));
    const argv = ['run', script, ...args];
    const opts = makeOpts(pkg, reject);
    return spawnStreaming(npmClient, argv, opts, prefix && pkg.name, dryRun);
}
function makeOpts(pkg, reject) {
    return Object.assign(getNpmExecOpts(pkg), {
        windowsHide: false,
        reject,
    });
}
//# sourceMappingURL=npm-run-script.js.map