import { Command, CommandType, Package, ProjectConfig, RunCommandOption } from '@lerna-lite/core';
import { FilterOptions } from '@lerna-lite/filter-packages';
import { ScriptStreamingOption } from './models/index.js';
export declare function factory(argv: RunCommandOption): RunCommand;
export declare class RunCommand extends Command<RunCommandOption & FilterOptions> {
    name: CommandType;
    args: string[];
    bail: boolean;
    count?: number;
    packagePlural?: 'package' | 'packages';
    joinedCommand?: string;
    prefix: boolean;
    npmClient: string;
    packagesWithScript: Package[];
    script: string;
    get requiresGit(): boolean;
    constructor(argv: RunCommandOption | ProjectConfig);
    initialize(): Promise<false | undefined>;
    execute(): Promise<void>;
    getOpts(pkg: Package): ScriptStreamingOption;
    getRunner(): (pkg: Package) => Promise<any>;
    runScriptInPackagesTopological(): Promise<any>;
    escapeScriptNameQuotes(scriptName: string): string;
    runScriptsUsingNx(): Promise<any>;
    prepNxOptions(): Promise<{
        targetDependencies: {
            [x: string]: {
                projects: string;
                target: string;
            }[];
        };
        options: {
            outputStyle: string;
            parallel: number;
            nxBail: boolean;
            nxIgnoreCycles: boolean;
            skipNxCache: boolean | undefined;
            verbose: boolean | undefined;
            __overrides__: string[];
        };
        extraOptions: {
            excludeTaskDependencies: boolean;
            loadDotEnvFiles: boolean;
        };
    }>;
    runScriptInPackagesParallel(): Promise<any[]>;
    runScriptInPackagesLexical(): Promise<any[]>;
    runScriptInPackageStreaming(pkg: Package): Promise<any>;
    runScriptInPackageCapturing(pkg: Package): Promise<any>;
    configureNxOutput(): Promise<unknown>;
    dryRunScript(scriptName: string, pkgName: string): Promise<any>;
}
