import { readFile } from 'fs/promises';
import { join } from 'node:path';
import { BLANK_LINE, COMMIT_GUIDELINE } from './constants.js';
export async function readExistingChangelog(pkg) {
    const changelogFileLoc = join(pkg.location, 'CHANGELOG.md');
    let chain = Promise.resolve();
    chain = chain.then(() => readFile(changelogFileLoc, 'utf8').catch(() => ''));
    chain = chain.then((changelogContents) => {
        const headerIndex = changelogContents.indexOf(COMMIT_GUIDELINE);
        if (headerIndex !== -1) {
            return changelogContents.substring(headerIndex + COMMIT_GUIDELINE.length + BLANK_LINE.length);
        }
        return changelogContents;
    });
    chain = chain.then((changelogContents) => [changelogFileLoc, changelogContents]);
    return chain;
}
//# sourceMappingURL=read-existing-changelog.js.map