import log from 'npmlog';
import { relative, resolve as pathResolve } from 'node:path';
import slash from 'slash';
import { exec } from '@lerna-lite/core';
export function gitAdd(changedFiles, gitOpts, execOpts, dryRun = false) {
    const files = gitOpts.granularPathspec
        ? changedFiles.map((file) => slash(relative(execOpts.cwd, pathResolve(execOpts.cwd, file))))
        : '.';
    log.silly('gitAdd', files.toString());
    return exec('git', ['add', '--', ...files], execOpts, dryRun);
}
//# sourceMappingURL=git-add.js.map