import log from 'npmlog';
import { exec } from '@lerna-lite/core';
export function gitTag(tag, { forceGitTag, signGitTag }, opts, command = 'git tag %s -m %s', dryRun = false) {
    log.silly('gitTag', tag, command);
    const [cmd, ...args] = command.split(' ');
    const interpolatedArgs = args.map((arg) => arg.replace(/%s/, tag));
    if (forceGitTag) {
        interpolatedArgs.push('--force');
    }
    if (signGitTag) {
        interpolatedArgs.push('--sign');
    }
    log.verbose(cmd, interpolatedArgs.toString());
    return exec(cmd, interpolatedArgs, opts, dryRun);
}
//# sourceMappingURL=git-tag.js.map