import log from 'npmlog';
import { execSync } from '@lerna-lite/core';
export function remoteBranchExists(gitRemote, branch, opts, dryRun = false) {
    log.silly('remoteBranchExists', '');
    const remoteBranch = `${gitRemote}/${branch}`;
    try {
        execSync('git', ['show-ref', '--verify', `refs/remotes/${remoteBranch}`], opts, dryRun);
        return true;
    }
    catch (e) {
        return false;
    }
}
//# sourceMappingURL=remote-branch-exists.js.map