import { HttpResponse } from '@standardnotes/responses';
import { GenerateRecoveryCodesResponseBody, RecoveryKeyParamsResponseBody, SignInWithRecoveryCodesResponseBody } from '../../Response';
import { AuthServerInterface } from '../../Server';
import { AuthApiServiceInterface } from './AuthApiServiceInterface';
export declare class AuthApiService implements AuthApiServiceInterface {
    private authServer;
    private operationsInProgress;
    constructor(authServer: AuthServerInterface);
    generateRecoveryCodes(): Promise<HttpResponse<GenerateRecoveryCodesResponseBody>>;
    recoveryKeyParams(dto: {
        username: string;
        codeChallenge: string;
        recoveryCodes: string;
    }): Promise<HttpResponse<RecoveryKeyParamsResponseBody>>;
    signInWithRecoveryCodes(dto: {
        username: string;
        password: string;
        codeVerifier: string;
        recoveryCodes: string;
    }): Promise<HttpResponse<SignInWithRecoveryCodesResponseBody>>;
}
