import { HttpResponse } from '@standardnotes/responses';
import { AuthenticatorApiServiceInterface } from './AuthenticatorApiServiceInterface';
import { ListAuthenticatorsResponseBody, DeleteAuthenticatorResponseBody, GenerateAuthenticatorRegistrationOptionsResponseBody, VerifyAuthenticatorRegistrationResponseBody, GenerateAuthenticatorAuthenticationOptionsResponseBody } from '../../Response';
import { AuthenticatorServerInterface } from '../../Server/Authenticator/AuthenticatorServerInterface';
export declare class AuthenticatorApiService implements AuthenticatorApiServiceInterface {
    private authenticatorServer;
    private operationsInProgress;
    constructor(authenticatorServer: AuthenticatorServerInterface);
    list(): Promise<HttpResponse<ListAuthenticatorsResponseBody>>;
    delete(authenticatorId: string): Promise<HttpResponse<DeleteAuthenticatorResponseBody>>;
    generateRegistrationOptions(): Promise<HttpResponse<GenerateAuthenticatorRegistrationOptionsResponseBody>>;
    verifyRegistrationResponse(userUuid: string, name: string, attestationResponse: Record<string, unknown>): Promise<HttpResponse<VerifyAuthenticatorRegistrationResponseBody>>;
    generateAuthenticationOptions(username: string): Promise<HttpResponse<GenerateAuthenticatorAuthenticationOptionsResponseBody>>;
}
