import { HttpResponse } from '@standardnotes/responses';
import { RevisionApiServiceInterface } from './RevisionApiServiceInterface';
import { RevisionServerInterface } from '../../Server';
import { DeleteRevisionResponseBody } from '../../Response/Revision/DeleteRevisionResponseBody';
import { GetRevisionResponseBody } from '../../Response/Revision/GetRevisionResponseBody';
import { ListRevisionsResponseBody } from '../../Response/Revision/ListRevisionsResponseBody';
export declare class RevisionApiService implements RevisionApiServiceInterface {
    private revisionServer;
    private operationsInProgress;
    constructor(revisionServer: RevisionServerInterface);
    listRevisions(itemUuid: string): Promise<HttpResponse<ListRevisionsResponseBody>>;
    getRevision(itemUuid: string, revisionUuid: string): Promise<HttpResponse<GetRevisionResponseBody>>;
    deleteRevision(itemUuid: string, revisionUuid: string): Promise<HttpResponse<DeleteRevisionResponseBody>>;
}
