import { SubscriptionServerInterface } from '../../Server/Subscription/SubscriptionServerInterface';
import { AppleIAPConfirmResponseBody } from './../../Response/Subscription/AppleIAPConfirmResponseBody';
import { SubscriptionInviteAcceptResponseBody } from '../../Response/Subscription/SubscriptionInviteAcceptResponseBody';
import { SubscriptionInviteCancelResponseBody } from '../../Response/Subscription/SubscriptionInviteCancelResponseBody';
import { SubscriptionInviteListResponseBody } from '../../Response/Subscription/SubscriptionInviteListResponseBody';
import { SubscriptionInviteResponseBody } from '../../Response/Subscription/SubscriptionInviteResponseBody';
import { HttpResponse } from '@standardnotes/responses';
import { SubscriptionApiServiceInterface } from './SubscriptionApiServiceInterface';
import { AppleIAPConfirmRequestParams } from '../../Request';
export declare class SubscriptionApiService implements SubscriptionApiServiceInterface {
    private subscriptionServer;
    private operationsInProgress;
    constructor(subscriptionServer: SubscriptionServerInterface);
    listInvites(): Promise<HttpResponse<SubscriptionInviteListResponseBody>>;
    cancelInvite(inviteUuid: string): Promise<HttpResponse<SubscriptionInviteCancelResponseBody>>;
    invite(inviteeEmail: string): Promise<HttpResponse<SubscriptionInviteResponseBody>>;
    acceptInvite(inviteUuid: string): Promise<HttpResponse<SubscriptionInviteAcceptResponseBody>>;
    confirmAppleIAP(params: AppleIAPConfirmRequestParams): Promise<HttpResponse<AppleIAPConfirmResponseBody>>;
}
