import { type RootKeyParamsInterface } from '@standardnotes/models';
import { UserRequestType } from '@standardnotes/common';
import { UserServerInterface } from '../../Server/User/UserServerInterface';
import { HttpResponse } from '@standardnotes/responses';
import { UserDeletionResponseBody } from '../../Response/User/UserDeletionResponseBody';
import { UserRegistrationResponseBody } from '../../Response/User/UserRegistrationResponseBody';
import { UserRequestResponseBody } from '../../Response/UserRequest/UserRequestResponseBody';
import { UserRequestServerInterface } from '../../Server/UserRequest/UserRequestServerInterface';
import { UserApiServiceInterface } from './UserApiServiceInterface';
export declare class UserApiService implements UserApiServiceInterface {
    private userServer;
    private userRequestServer;
    private operationsInProgress;
    constructor(userServer: UserServerInterface, userRequestServer: UserRequestServerInterface);
    deleteAccount(userUuid: string): Promise<HttpResponse<UserDeletionResponseBody>>;
    submitUserRequest(dto: {
        userUuid: string;
        requestType: UserRequestType;
    }): Promise<HttpResponse<UserRequestResponseBody>>;
    register(registerDTO: {
        email: string;
        serverPassword: string;
        keyParams: RootKeyParamsInterface;
        ephemeral: boolean;
    }): Promise<HttpResponse<UserRegistrationResponseBody>>;
    private lockOperation;
    private unlockOperation;
}
