import { HttpServiceInterface } from '../../Http/HttpServiceInterface';
import { RecoveryKeyParamsRequestParams, SignInWithRecoveryCodesRequestParams } from '../../Request';
import { HttpResponse } from '@standardnotes/responses';
import { GenerateRecoveryCodesResponseBody, RecoveryKeyParamsResponseBody, SignInWithRecoveryCodesResponseBody } from '../../Response';
import { AuthServerInterface } from './AuthServerInterface';
export declare class AuthServer implements AuthServerInterface {
    private httpService;
    constructor(httpService: HttpServiceInterface);
    generateRecoveryCodes(): Promise<HttpResponse<GenerateRecoveryCodesResponseBody>>;
    recoveryKeyParams(params: RecoveryKeyParamsRequestParams): Promise<HttpResponse<RecoveryKeyParamsResponseBody>>;
    signInWithRecoveryCodes(params: SignInWithRecoveryCodesRequestParams): Promise<HttpResponse<SignInWithRecoveryCodesResponseBody>>;
}
