import { HttpServiceInterface } from '../../Http/HttpServiceInterface';
import { ListAuthenticatorsRequestParams, GenerateAuthenticatorAuthenticationOptionsRequestParams, DeleteAuthenticatorRequestParams, VerifyAuthenticatorRegistrationResponseRequestParams } from '../../Request';
import { HttpResponse } from '@standardnotes/responses';
import { ListAuthenticatorsResponseBody, DeleteAuthenticatorResponseBody, GenerateAuthenticatorRegistrationOptionsResponseBody, VerifyAuthenticatorRegistrationResponseBody, GenerateAuthenticatorAuthenticationOptionsResponseBody } from '../../Response';
import { AuthenticatorServerInterface } from './AuthenticatorServerInterface';
export declare class AuthenticatorServer implements AuthenticatorServerInterface {
    private httpService;
    constructor(httpService: HttpServiceInterface);
    list(params: ListAuthenticatorsRequestParams): Promise<HttpResponse<ListAuthenticatorsResponseBody>>;
    delete(params: DeleteAuthenticatorRequestParams): Promise<HttpResponse<DeleteAuthenticatorResponseBody>>;
    generateRegistrationOptions(): Promise<HttpResponse<GenerateAuthenticatorRegistrationOptionsResponseBody>>;
    verifyRegistrationResponse(params: VerifyAuthenticatorRegistrationResponseRequestParams): Promise<HttpResponse<VerifyAuthenticatorRegistrationResponseBody>>;
    generateAuthenticationOptions(params: GenerateAuthenticatorAuthenticationOptionsRequestParams): Promise<HttpResponse<GenerateAuthenticatorAuthenticationOptionsResponseBody>>;
}
