import { HttpServiceInterface } from '../../Http/HttpServiceInterface';
import { DeleteRevisionRequestParams, GetRevisionRequestParams, ListRevisionsRequestParams } from '../../Request';
import { HttpResponse } from '@standardnotes/responses';
import { DeleteRevisionResponseBody } from '../../Response/Revision/DeleteRevisionResponseBody';
import { GetRevisionResponseBody } from '../../Response/Revision/GetRevisionResponseBody';
import { ListRevisionsResponseBody } from '../../Response/Revision/ListRevisionsResponseBody';
import { RevisionServerInterface } from './RevisionServerInterface';
export declare class RevisionServer implements RevisionServerInterface {
    private httpService;
    constructor(httpService: HttpServiceInterface);
    listRevisions(params: ListRevisionsRequestParams): Promise<HttpResponse<ListRevisionsResponseBody>>;
    getRevision(params: GetRevisionRequestParams): Promise<HttpResponse<GetRevisionResponseBody>>;
    deleteRevision(params: DeleteRevisionRequestParams): Promise<HttpResponse<DeleteRevisionResponseBody>>;
}
