import { HttpServiceInterface } from '../../Http/HttpServiceInterface';
import { AppleIAPConfirmRequestParams } from '../../Request';
import { SubscriptionInviteAcceptRequestParams } from '../../Request/Subscription/SubscriptionInviteAcceptRequestParams';
import { SubscriptionInviteCancelRequestParams } from '../../Request/Subscription/SubscriptionInviteCancelRequestParams';
import { SubscriptionInviteDeclineRequestParams } from '../../Request/Subscription/SubscriptionInviteDeclineRequestParams';
import { SubscriptionInviteListRequestParams } from '../../Request/Subscription/SubscriptionInviteListRequestParams';
import { SubscriptionInviteRequestParams } from '../../Request/Subscription/SubscriptionInviteRequestParams';
import { AppleIAPConfirmResponseBody } from './../../Response/Subscription/AppleIAPConfirmResponseBody';
import { SubscriptionInviteAcceptResponseBody } from '../../Response/Subscription/SubscriptionInviteAcceptResponseBody';
import { SubscriptionInviteCancelResponseBody } from '../../Response/Subscription/SubscriptionInviteCancelResponseBody';
import { SubscriptionInviteDeclineResponseBody } from '../../Response/Subscription/SubscriptionInviteDeclineResponseBody';
import { SubscriptionInviteListResponseBody } from '../../Response/Subscription/SubscriptionInviteListResponseBody';
import { SubscriptionInviteResponseBody } from '../../Response/Subscription/SubscriptionInviteResponseBody';
import { HttpResponse } from '@standardnotes/responses';
import { SubscriptionServerInterface } from './SubscriptionServerInterface';
export declare class SubscriptionServer implements SubscriptionServerInterface {
    private httpService;
    constructor(httpService: HttpServiceInterface);
    acceptInvite(params: SubscriptionInviteAcceptRequestParams): Promise<HttpResponse<SubscriptionInviteAcceptResponseBody>>;
    declineInvite(params: SubscriptionInviteDeclineRequestParams): Promise<HttpResponse<SubscriptionInviteDeclineResponseBody>>;
    cancelInvite(params: SubscriptionInviteCancelRequestParams): Promise<HttpResponse<SubscriptionInviteCancelResponseBody>>;
    listInvites(params: SubscriptionInviteListRequestParams): Promise<HttpResponse<SubscriptionInviteListResponseBody>>;
    invite(params: SubscriptionInviteRequestParams): Promise<HttpResponse<SubscriptionInviteResponseBody>>;
    confirmAppleIAP(params: AppleIAPConfirmRequestParams): Promise<HttpResponse<AppleIAPConfirmResponseBody>>;
}
