import { ProtocolVersion } from '@standardnotes/common';
import { ConflictStrategy, DecryptedItem, DecryptedItemInterface, DecryptedPayloadInterface, HistoryEntryInterface, ItemsKeyContent, ItemsKeyInterface, RootKeyInterface } from '@standardnotes/models';
export declare function isItemsKey(x: ItemsKeyInterface | RootKeyInterface): x is ItemsKeyInterface;
/**
 * A key used to encrypt other items. Items keys are synced and persisted.
 */
export declare class SNItemsKey extends DecryptedItem<ItemsKeyContent> implements ItemsKeyInterface {
    keyVersion: ProtocolVersion;
    isDefault: boolean | undefined;
    itemsKey: string;
    constructor(payload: DecryptedPayloadInterface<ItemsKeyContent>);
    /** Do not duplicate items keys. Always keep original */
    strategyWhenConflictingWithItem(_item: DecryptedItemInterface, _previousRevision?: HistoryEntryInterface): ConflictStrategy;
    get dataAuthenticationKey(): string | undefined;
}
