import { AnyKeyParamsContent, KeyParamsContent001, KeyParamsContent002, KeyParamsContent003, KeyParamsContent004 } from '@standardnotes/common';
import { KeyParamsResponse } from '@standardnotes/responses';
import { SNRootKeyParams } from './RootKeyParams';
/**
 *  001, 002:
 *  - Nonce is not uploaded to server, instead used to compute salt locally and send to server
 *  - Salt is returned from server
 *  - Cost/iteration count is returned from the server
 *  - Account identifier is returned as 'email'
 *  003, 004:
 *  - Salt is computed locally via the seed (pw_nonce) returned from the server
 *  - Cost/iteration count is determined locally by the protocol version
 *  - Account identifier is returned as 'identifier'
 */
export type AllKeyParamsContents = KeyParamsContent001 & KeyParamsContent002 & KeyParamsContent003 & KeyParamsContent004;
export declare function Create001KeyParams(keyParams: KeyParamsContent001): SNRootKeyParams;
export declare function Create002KeyParams(keyParams: KeyParamsContent002): SNRootKeyParams;
export declare function Create003KeyParams(keyParams: KeyParamsContent003): SNRootKeyParams;
export declare function Create004KeyParams(keyParams: KeyParamsContent004): SNRootKeyParams;
export declare function CreateAnyKeyParams(keyParams: AnyKeyParamsContent): SNRootKeyParams;
export declare function KeyParamsFromApiResponse(response: KeyParamsResponse, identifier?: string): SNRootKeyParams;
