import { KeyParamsOrigination, ProtocolVersion } from '@standardnotes/common';
import { DecryptedPayloadInterface, ItemContent, ItemsKeyContent, ItemsKeyInterface } from '@standardnotes/models';
import { PureCryptoInterface } from '@standardnotes/sncrypto-common';
import { SNRootKey } from '../../Keys/RootKey/RootKey';
import { SNRootKeyParams } from '../../Keys/RootKey/RootKeyParams';
import { DecryptedParameters, EncryptedParameters, ErrorDecryptingParameters } from '../../Types/EncryptedParameters';
import { ItemAuthenticatedData } from '../../Types/ItemAuthenticatedData';
import { LegacyAttachedData } from '../../Types/LegacyAttachedData';
import { RootKeyEncryptedAuthenticatedData } from '../../Types/RootKeyEncryptedAuthenticatedData';
import { AsynchronousOperator } from '../Operator';
/**
 * @deprecated
 * A legacy operator no longer used to generate new accounts
 */
export declare class SNProtocolOperator001 implements AsynchronousOperator {
    protected readonly crypto: PureCryptoInterface;
    constructor(crypto: PureCryptoInterface);
    getEncryptionDisplayName(): string;
    get version(): ProtocolVersion;
    protected generateNewItemsKeyContent(): ItemsKeyContent;
    /**
     * Creates a new random items key to use for item encryption.
     * The consumer must save/sync this item.
     */
    createItemsKey(): ItemsKeyInterface;
    createRootKey(identifier: string, password: string, origination: KeyParamsOrigination): Promise<SNRootKey>;
    getPayloadAuthenticatedData(_encrypted: EncryptedParameters): RootKeyEncryptedAuthenticatedData | ItemAuthenticatedData | LegacyAttachedData | undefined;
    computeRootKey(password: string, keyParams: SNRootKeyParams): Promise<SNRootKey>;
    private decryptString;
    private encryptString;
    generateEncryptedParametersAsync(payload: DecryptedPayloadInterface, key: ItemsKeyInterface | SNRootKey): Promise<EncryptedParameters>;
    generateDecryptedParametersAsync<C extends ItemContent = ItemContent>(encrypted: EncryptedParameters, key: ItemsKeyInterface | SNRootKey): Promise<DecryptedParameters<C> | ErrorDecryptingParameters>;
    private encryptionComponentsFromString;
    protected deriveKey(password: string, keyParams: SNRootKeyParams): Promise<SNRootKey>;
}
