import * as Common from '@standardnotes/common';
import * as Models from '@standardnotes/models';
import { ItemContent } from '@standardnotes/models';
import { SNRootKey } from '../../Keys/RootKey/RootKey';
import { SNRootKeyParams } from '../../Keys/RootKey/RootKeyParams';
import { DecryptedParameters, EncryptedParameters, ErrorDecryptingParameters } from '../../Types/EncryptedParameters';
import { ItemAuthenticatedData } from '../../Types/ItemAuthenticatedData';
import { LegacyAttachedData } from '../../Types/LegacyAttachedData';
import { RootKeyEncryptedAuthenticatedData } from '../../Types/RootKeyEncryptedAuthenticatedData';
import { SNProtocolOperator001 } from '../001/Operator001';
/**
 * @deprecated
 * A legacy operator no longer used to generate new accounts.
 */
export declare class SNProtocolOperator002 extends SNProtocolOperator001 {
    get version(): Common.ProtocolVersion;
    protected generateNewItemsKeyContent(): Models.ItemsKeyContent;
    /**
     * Creates a new random items key to use for item encryption.
     * The consumer must save/sync this item.
     */
    createItemsKey(): Models.ItemsKeyInterface;
    createRootKey(identifier: string, password: string, origination: Common.KeyParamsOrigination): Promise<SNRootKey>;
    /**
     * Note that version 002 supported "dynamic" iteration counts. Some accounts
     * may have had costs of 5000, and others of 101000. Therefore, when computing
     * the root key, we must use the value returned by the server.
     */
    computeRootKey(password: string, keyParams: SNRootKeyParams): Promise<SNRootKey>;
    private decryptString002;
    private encryptString002;
    /**
     * @param keyParams Supplied only when encrypting an items key
     */
    private encryptTextParams;
    private decryptTextParams;
    getPayloadAuthenticatedData(encrypted: EncryptedParameters): RootKeyEncryptedAuthenticatedData | ItemAuthenticatedData | LegacyAttachedData | undefined;
    generateEncryptedParametersAsync(payload: Models.DecryptedPayloadInterface, key: Models.ItemsKeyInterface | SNRootKey): Promise<EncryptedParameters>;
    generateDecryptedParametersAsync<C extends ItemContent = ItemContent>(encrypted: EncryptedParameters, key: Models.ItemsKeyInterface | SNRootKey): Promise<DecryptedParameters<C> | ErrorDecryptingParameters>;
    protected deriveKey(password: string, keyParams: SNRootKeyParams): Promise<SNRootKey>;
    private encryptionComponentsFromString002;
}
