import { KeyParamsOrigination, ProtocolVersion } from '@standardnotes/common';
import { ItemsKeyContent, ItemsKeyInterface } from '@standardnotes/models';
import { SNRootKey } from '../../Keys/RootKey/RootKey';
import { SNRootKeyParams } from '../../Keys/RootKey/RootKeyParams';
import { SNProtocolOperator002 } from '../002/Operator002';
/**
 * @legacy
 * Non-expired operator but no longer used for generating new accounts.
 * This operator subclasses the 002 operator to share functionality that has not
 * changed, and overrides functions where behavior may differ.
 */
export declare class SNProtocolOperator003 extends SNProtocolOperator002 {
    get version(): ProtocolVersion;
    protected generateNewItemsKeyContent(): ItemsKeyContent;
    /**
     * Creates a new random items key to use for item encryption.
     * The consumer must save/sync this item.
     */
    createItemsKey(): ItemsKeyInterface;
    computeRootKey(password: string, keyParams: SNRootKeyParams): Promise<SNRootKey>;
    protected deriveKey(password: string, keyParams: SNRootKeyParams): Promise<SNRootKey>;
    createRootKey(identifier: string, password: string, origination: KeyParamsOrigination): Promise<SNRootKey>;
    private generateSalt;
}
