import { ProtocolVersion } from '@standardnotes/common';
import { Base64String, HexString, PkcKeyPair, Utf8String } from '@standardnotes/sncrypto-common';
import { SNProtocolOperator004 } from '../004/Operator004';
export type AsymmetricallyEncryptedKey = Base64String;
export type SymmetricallyEncryptedPrivateKey = Base64String;
/**
 * @experimental
 * @unreleased
 */
export declare class ProtocolOperator005 extends SNProtocolOperator004 {
    getEncryptionDisplayName(): string;
    get version(): ProtocolVersion;
    generateKeyPair(): PkcKeyPair;
    asymmetricEncryptKey(keyToEncrypt: HexString, senderSecretKey: HexString, recipientPublicKey: HexString): AsymmetricallyEncryptedKey;
    asymmetricDecryptKey(keyToDecrypt: AsymmetricallyEncryptedKey, senderPublicKey: HexString, recipientSecretKey: HexString): Utf8String;
    symmetricEncryptPrivateKey(privateKey: HexString, symmetricKey: HexString): SymmetricallyEncryptedPrivateKey;
    symmetricDecryptPrivateKey(encryptedPrivateKey: SymmetricallyEncryptedPrivateKey, symmetricKey: HexString): HexString | null;
}
