"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.SplitPayloadsByEncryptionType = void 0;
const Functions_1 = require("../Keys/RootKey/Functions");
function SplitPayloadsByEncryptionType(payloads) {
    const usesRootKey = [];
    const usesItemsKey = [];
    for (const item of payloads) {
        if ((0, Functions_1.ItemContentTypeUsesRootKeyEncryption)(item.content_type)) {
            usesRootKey.push(item);
        }
        else {
            usesItemsKey.push(item);
        }
    }
    return {
        rootKeyEncryption: usesRootKey.length > 0 ? usesRootKey : undefined,
        itemsKeyEncryption: usesItemsKey.length > 0 ? usesItemsKey : undefined,
    };
}
exports.SplitPayloadsByEncryptionType = SplitPayloadsByEncryptionType;
