import { SNTag } from '../../../Syncable/Tag/Tag';
import { SNIndex } from '../../Index/SNIndex';
import { ItemCollection } from './ItemCollection';
import { ItemDelta } from '../../Index/ItemDelta';
type AllNotesUuidSignifier = undefined;
export type TagItemCountChangeObserver = (tagUuid: string | AllNotesUuidSignifier) => void;
export declare class TagItemsIndex implements SNIndex {
    private collection;
    observers: TagItemCountChangeObserver[];
    private tagToItemsMap;
    private allCountableItems;
    private countableItemsByType;
    constructor(collection: ItemCollection, observers?: TagItemCountChangeObserver[]);
    private isItemCountable;
    addCountChangeObserver(observer: TagItemCountChangeObserver): () => void;
    private notifyObservers;
    allCountableItemsCount(): number;
    allCountableNotesCount(): number;
    allCountableFilesCount(): number;
    countableItemsForTag(tag: SNTag): number;
    onChange(delta: ItemDelta): void;
    private receiveTagChanges;
    private receiveItemChanges;
    private setForTag;
}
export {};
