import { ImmutablePayloadCollection } from '../Collection/Payload/ImmutablePayloadCollection';
import { HistoryMap } from '../History/HistoryMap';
import { ConflictStrategy } from '../../Abstract/Item/Types/ConflictStrategy';
import { FullyFormedPayloadInterface } from '../../Abstract/Payload';
import { SourcelessSyncDeltaEmit } from './Abstract/DeltaEmit';
export declare class ConflictDelta {
    protected readonly baseCollection: ImmutablePayloadCollection;
    protected readonly basePayload: FullyFormedPayloadInterface;
    protected readonly applyPayload: FullyFormedPayloadInterface;
    protected readonly historyMap: HistoryMap;
    constructor(baseCollection: ImmutablePayloadCollection, basePayload: FullyFormedPayloadInterface, applyPayload: FullyFormedPayloadInterface, historyMap: HistoryMap);
    result(): SourcelessSyncDeltaEmit;
    getConflictStrategy(): ConflictStrategy;
    private handleStrategy;
    private handleKeepBaseStrategy;
    private handleKeepApplyStrategy;
    private handleKeepBaseDuplicateApplyStrategy;
    private handleDuplicateBaseKeepApply;
    private handleKeepBaseMergeRefsStrategy;
}
