export interface PredicateInterface<T> {
    matchesItem(item: T): boolean;
    keypathIncludesString(verb: string): boolean;
    toJson(): PredicateJsonForm;
}
export type RawPredicateInArrayForm = string[];
export interface PredicateJsonForm {
    keypath?: string;
    operator: PredicateOperator;
    value: SureValue | PredicateJsonForm | PredicateJsonForm[] | RawPredicateInArrayForm;
}
export declare const AllPredicateCompoundOperators: readonly ["and", "or"];
export type PredicateCompoundOperator = typeof AllPredicateCompoundOperators[number];
export declare const AllNonCompoundPredicateOperators: readonly ["!=", "=", "<", ">", "<=", ">=", "startsWith", "in", "matches", "not", "includes"];
export declare const AllPredicateOperators: readonly ["and", "or", "!=", "=", "<", ">", "<=", ">=", "startsWith", "in", "matches", "not", "includes"];
export type PredicateOperator = typeof AllPredicateOperators[number];
export type SureValue = number | number[] | string[] | string | Date | boolean | false | '';
export declare const SureValueNonObjectTypesAsStrings: string[];
export type FalseyValue = false | '' | null | undefined;
export type PrimitiveOperand = SureValue | FalseyValue;
export type PredicateTarget = unknown;
export type StringKey<T = unknown> = keyof T & string;
