/**
 * An abstract class with no instance methods. Used globally to generate uuids by any
 * consumer. Application must call SetGenerator before use.
 */
export declare class UuidGenerator {
    private static syncUuidFunc;
    /**
     * @param {function} syncImpl - A syncronous function that returns a UUID.
     */
    static SetGenerator(syncImpl: () => string): void;
    /**
     * Generates a UUID string asyncronously.
     */
    static GenerateUuid(): string;
}
