# Installation
> `npm install --save @types/connect-busboy`

# Summary
This package contains type definitions for connect-busboy (https://github.com/mscdex/connect-busboy).

# Details
Files were exported from https://github.com/DefinitelyTyped/DefinitelyTyped/tree/master/types/connect-busboy.
## [index.d.ts](https://github.com/DefinitelyTyped/DefinitelyTyped/tree/master/types/connect-busboy/index.d.ts)
````ts
// Type definitions for connect-busboy 1.0
// Project: https://github.com/mscdex/connect-busboy
// Definitions by: Pinguet62 <https://github.com/pinguet62>
//                 Chris Gedrim <https://github.com/chrisgedrim>
// Definitions: https://github.com/DefinitelyTyped/DefinitelyTyped

/// <reference types="node" />

import { BusboyConfig, Busboy } from 'busboy';
import { RequestHandler } from 'express';
import * as http from 'http';

declare function connectBusboy(options?: connectBusboy.ConnectBusboyOptions): RequestHandler;

declare namespace connectBusboy {
    interface ConnectBusboyOptions extends BusboyConfig {
        immediate?: boolean | undefined;
    }
}

declare global {
    namespace Express {
        interface Request {
            busboy: Busboy;
        }
    }
}

export = connectBusboy;

````

### Additional Details
 * Last updated: Thu, 06 Jan 2022 17:31:30 GMT
 * Dependencies: [@types/busboy](https://npmjs.com/package/@types/busboy), [@types/express](https://npmjs.com/package/@types/express), [@types/node](https://npmjs.com/package/@types/node)
 * Global values: none

# Credits
These definitions were written by [Pinguet62](https://github.com/pinguet62), and [Chris Gedrim](https://github.com/chrisgedrim).
