import { AWSError } from './types';
declare class SQSError extends Error {
    code: string;
    statusCode: number;
    service: string;
    time: Date;
    retryable: boolean;
    fault: 'client' | 'server';
    constructor(message: string);
}
declare class TimeoutError extends Error {
    constructor(message?: string);
}
/**
 * Checks if the error provided should be treated as a connection error.
 * @param err The error that was received.
 */
declare function isConnectionError(err: Error): boolean;
/**
 * Formats an AWSError the the SQSError type.
 * @param err The error object that was received.
 * @param message The message that the error occurred on.
 */
declare function toSQSError(err: AWSError, message: string): SQSError;
export { SQSError, TimeoutError, isConnectionError, toSQSError };
