import { DeletedTransferPayload } from './../../TransferPayload/Interfaces/DeletedTransferPayload';
import { DeletedPayloadInterface } from '../Interfaces/DeletedPayload';
import { PayloadSource } from '../Types/PayloadSource';
import { PurePayload } from './PurePayload';
import { SyncResolvedParams, SyncResolvedPayload } from '../../../Runtime/Deltas/Utilities/SyncResolvedPayload';
export declare class DeletedPayload extends PurePayload<DeletedTransferPayload> implements DeletedPayloadInterface {
    readonly deleted: true;
    readonly content: undefined;
    constructor(rawPayload: DeletedTransferPayload, source?: PayloadSource);
    get discardable(): boolean | undefined;
    ejected(): DeletedTransferPayload;
    copy(override?: Partial<DeletedTransferPayload>, source?: PayloadSource): this;
    copyAsSyncResolved(override?: Partial<DeletedTransferPayload> & SyncResolvedParams, source?: PayloadSource): SyncResolvedPayload;
}
